@import "../../../assets/styles/main.scss";

.aboutSimSection {
  background-color: #fff9f4;
  padding: 100px 0;
  position: relative;
  @include lg {
    padding: 80px 0px;
  }

  .arrowPlanFullLengthIcon {
    position: absolute;
    top: 50px;
    left: 0;

    @include md {
      top: 30px;

      img {
        height: 130px;
      }
    }

    @include xs {
      top: 16px;

      img {
        height: 74px;
      }
    }
  }

  .arrowPlanMultiIcon {
    position: absolute;
    bottom: 0px;
    right: 0;
    @include lg {
      width: 250px;
    }

    @include md {
      bottom: -15.56px;

      img {
        height: 150px;
      }
    }

    @include xs {
      bottom: 0px;

      img {
        height: 87px;
      }
    }
  }

  @include sm {
    padding: 50px 0;
  }

  &_container {
    @include container-medium-1;
    z-index: 99 !important;
    @include xl {
      width: 100%;
      padding: 0px 30px;
    }

    @include xs {
      padding: 0 15px;
    }

    .aboutSimSection_Description {
      max-width: 72%;
      margin: 50px auto;
      @include inter700;

      @include xl {
        max-width: 74%;
      }
      @include sm {
        max-width: unset;
        margin: 30px auto;
      }

      p {
        text-align: center;
        font-size: 24px;
        line-height: 175.023%;
        @include xl {
          font-size: 22px;
        }
        @include lg {
          font-size: 18px;
        }
      }
    }

    .aboutSimSection_grid {
      display: grid;
      gap: 24px;
      grid-template-columns: repeat(4, 1fr);
      z-index: 9;
      position: relative;

      @include lg {
        gap: 10px;
      }
      @include xs {
        grid-template-columns: repeat(1, 1fr);
      }

      &_card {
        background-color:  getColorHex("white");
        padding: 44px 23px;
        border-radius: 32px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 15px;
        height: 100%;
        width: 100%;

        @include xxl {
          padding: 44px 21px;
        }
        @include xl {
          padding: 44px 13px;
        }
        @include lg {
          padding: 30px 13px;
        }

        &_image {
          height: 80px;
          width: 80px;
          @include lg {
            height: 68px;
            width: 68px;
          }

          img {
            height: 100%;
            width: 100%;
          }
        }

        h3 {
          font-size: 24px;
          line-height: 42px;
          @include inter700;
          color:  getColorHex("black");
          @include xl {
            font-size: 22px;
          }
          @include lg {
            font-size: 19px;
          }
        }

        p {
          @include inter600;
          font-size: 16px;
          line-height: 28px;
          max-width: 254px;
          margin: 0px auto !important;
          @include xl {
            font-size: 14px;
            max-width: 236px;
          }
          @include lg {
            font-size: 12px;
            max-width: 203px;
          }

          @include sm {
            font-size: 12px;
            line-height: 21px;
            padding: 0 0 5px 0;
          }
        }
      }
    }
  }
}
